#include <sys/types.h>

#include <netinet/in.h>

/*  Copyright 1991 Bart Miller.  All rights reserved.
 *  Explicit permission required to redistributed this software.
 */

#define MSG  "Cessna eight-charlie uniform..."

char buf[50];

main (argc, argv)
    int argc;
    char *argv[];
{
    long mysock, newsock;
    long len;
    long m;
	struct sockaddr_in sa;

    /*-----make sure that server is clean------*/

    while ((mysock = delserver("boeing")) >= 0) {
	printf("server did a delserver, return = %d\n", mysock);
    }

    /*-----put my entry into the servers-------*/

    if ((mysock = putserver("boeing")) < 0) {
	printf("error on putserver\n");
	exit (0);
    }
    printf("putserver complete, mysock = %d.\n", mysock);

    /*-----wait for incoming requests----------*/

    listen (mysock, 5);

    while (1) {
	m = 0;
	len = sizeof (struct sockaddr_in);
	if ((newsock = accept (mysock, &sa, &len)) < 0) {
		perror ("on peer accept");
		    return (-1);
	    }
	printf("connected! newsock = %d.\n", newsock);
	read (newsock, &m, sizeof (long));
	printf("received value of %d.\n", m);
    }
}
